Bug 123535 - [MAINTAINER] www/mod_perl2: update to 2.0.4
Summary: [MAINTAINER] www/mod_perl2: update to 2.0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-09 02:00 UTC by Philip M. Gollucci
Modified: 2008-06-23 19:00 UTC (History)
0 users

See Also:


Attachments
mod_perl2-2.0.4,3.patch (6.11 KB, patch)
2008-05-09 02:00 UTC, Philip M. Gollucci
no flags Details | Diff
mod_perl2.diff (540 bytes, patch)
2008-06-23 18:57 UTC, pgollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philip M. Gollucci 2008-05-09 02:00:01 UTC
- Update to 2.0.4
- Changes: http://perl.apache.org/dist/mod_perl-2.0-current/Changes
- Bugs: Apache(2)::Reload was left out of this version by accident
  See upcoming PR for www/p5-Apache-Reload update

- NOTE: MAINTAINER has not yet tested perl-ithread, or perl 5.10
  but has tested apr w/ and w/out threads and apache 1.3.x, apache 2.0.x (prefork), 
  and apache 2.2.x (prefork)

Added file(s):
- files/patch-lib__ModPerl__BuildMM.pm
- files/patch-src__modules__perl__modperl_apache_compat.h
[Will be fixed in 2.0.5]
http://svn.apache.org/viewvc?rev=654655&view=rev

Removed file(s):
- files/patch-RegistryCooker.pm
- files/patch-xs-APR-APR-Makefile.PL
[Fixed in 2.0.4]

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-05-09 02:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci 2008-05-09 05:48:41 UTC
>  .include <bsd.port.pre.mk>
> -
>  .if exists(${LOCALBASE}/include/apr-1/apr.h)
> -APR_H=		${LOCALBASE}/include/apr-1/apr.h
> +
> +APR_l=		${LOCALBASE}/include/apr-1/apr.h
I'm not sure how these changes snuck in, but please don't commit them.....

Appologies....
Comment 3 Marcelo Araujo freebsd_committer 2008-05-17 14:29:39 UTC
State Changed
From-To: open->feedback

I'm waiting feedback!
Comment 4 araujobsdport 2008-05-17 15:55:33 UTC
Could you check the pkg-plist error?

Log at: http://tb4.droso.net/errors/7-araujo/mod_perl2-2.0.4,3.log


Kind Regards,

-- 
Marcelo Araujo
araujo@FreeBSD.org
http://www.FreeBSD.org
Comment 5 pgollucci 2008-05-21 16:00:04 UTC
$ make clean
$ make extract
$ make patch
$ find work/mod_perl-2.0.4 -type f -name "*.orig"
work/mod_perl-2.0.4/lib/ModPerl/BuildMM.pm.orig
work/mod_perl-2.0.4/src/modules/perl/modperl_apache_compat.h.orig
work/mod_perl-2.0.4/Makefile.PL.orig

$ grep -A 1 pre-configure Makefile
pre-configure:
         ${RM} ${WRKSRC}/lib/ModPerl/BuildMM.pm.orig

$ make pre-configure
$ find work/mod_perl-2.0.4 -type f -name "*.orig"
work/mod_perl-2.0.4/src/modules/perl/modperl_apache_compat.h.orig
work/mod_perl-2.0.4/Makefile.PL.orig

Did you apply files/patch-lib__ModPerl__BuildMM.pm
(new file) correctly ?

 From the tinderbox log, this seems to confirm my suspicision --
===>  Applying FreeBSD patches for mod_perl2-2.0.4,3
   I can't seem to find a patch in there anywhere.
Deleting perl-5.8.8_1
Comment 6 araujobsdport 2008-05-22 17:36:18 UTC
Please,

Could you make a test in TINDERBOX with this patch.
I applied this patch again and tried to build in tinderbox unsuccessfully.

Kind Regards,
-- 
Marcelo Araujo
araujo@FreeBSD.org
http://www.FreeBSD.org
The secret of success is sincerity.  Once you can fake
that you've got it made.
Comment 7 dfilter service freebsd_committer 2008-06-07 16:31:29 UTC
araujo      2008-06-07 15:31:21 UTC

  FreeBSD ports repository

  Modified files:
    www/mod_perl2        Makefile distinfo pkg-plist 
  Added files:
    www/mod_perl2/files  patch-lib__ModPerl__BuildMM.pm 
                         patch-src__modules__perl__modperl_apache_compat.h 
  Removed files:
    www/mod_perl2/files  patch-RegistryCooker.pm 
                         patch-xs-APR-APR-Makefile.PL 
  Log:
  - Update to 2.0.4.
  
  Changes: http://perl.apache.org/dist/mod_perl-2.0-current/Changes
  
  PR:             ports/123535
  Submitted by:   Philip M. Gollucci <pgollucci@p6m7g8.com> (maintainer)
  Reworked by:    araujo (myself)
  
  Revision  Changes    Path
  1.62      +15 -7     ports/www/mod_perl2/Makefile
  1.29      +3 -3      ports/www/mod_perl2/distinfo
  1.2       +0 -12     ports/www/mod_perl2/files/patch-RegistryCooker.pm (dead)
  1.1       +11 -0     ports/www/mod_perl2/files/patch-lib__ModPerl__BuildMM.pm (new)
  1.1       +10 -0     ports/www/mod_perl2/files/patch-src__modules__perl__modperl_apache_compat.h (new)
  1.2       +0 -11     ports/www/mod_perl2/files/patch-xs-APR-APR-Makefile.PL (dead)
  1.34      +0 -1      ports/www/mod_perl2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Marcelo Araujo freebsd_committer 2008-06-07 16:31:50 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 9 pgollucci 2008-06-23 18:57:15 UTC
See also comments from 'Fri, 9 May 2008 00:48:41 -0400'

Correct a  character typo that I never meant to submit.



-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
o:703.549.2050x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.